Bug 1250750 - evaluate realtime performance implications of turning on CONFIG_CGROUP_SCHED in realtime kernel
evaluate realtime performance implications of turning on CONFIG_CGROUP_SCHED ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel-rt (Show other bugs)
7.3
x86_64 Linux
high Severity high
: rc
: 7.3
Assigned To: Steven Rostedt
Jiri Kastner
:
Depends On:
Blocks: 1313485 1274397 RT7.3-Prio
  Show dependency treegraph
 
Reported: 2015-08-05 17:55 EDT by Clark Williams
Modified: 2016-11-03 15:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 15:35:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clark Williams 2015-08-05 17:55:01 EDT
Current RT kernel does not have CGROUP_SCHED config enabled, but may be needed down the road. Anecdotal evidence shows that that there is a 4-8us max latency penalty when testing with rteval. 

We need to determine if there is a consistent increase to max latency with CGROUP_SCHED enabled and if so, are there changes we can make to reduce the effect.
Comment 1 Clark Williams 2015-09-01 11:13:38 EDT
Pushing out to 7.3
Comment 2 Beth Uptagrafft 2015-09-02 13:17:37 EDT
Moving to 7.3
Comment 3 Clark Williams 2016-06-23 17:36:17 EDT
CONFIG_CGROUP_SCHED enabled in kernel-rt-3.10.0-382.rt56.363.el7. No significant performance loss noted in rteval runs.
Comment 7 errata-xmlrpc 2016-11-03 15:35:42 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2584.html

Note You need to log in before you can comment on or make changes to this bug.